Caro amigo, se não me engano o FC2 usa Kernel 2.6, sendo assim, ainda não temos driver para essa placa.
Já, se seu kernel for 2.4, ela precisa subir ao menos o módulo.
Quanto digitar 'lspci' o linux precisa te informar corretamente o que está instalado, no caso uma placa: 'Realtek 8180'. Se tudo isso estiver de acordo e mesmo assim vc tiver problemas para carregar o módulo, entre em contato comigo via e-mail ao menos para me notificar do erro.

Coordialmente,
EMota - [email protected]